Subject: Re: bug#63911: Dired Open With

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Sep 2023 22:01:16 +0300

> From: Howard Melman <[email-masked]>
> Date: Sat, 02 Sep 2023 14:40:13 -0400
> 
> Stefan Kangas <[email-masked]> writes:
> 
> > Juri Linkov <[email-masked]> writes:
> >
> >> After using this for a while I noticed that most of the time
> >> mailcap suggestions are useless - they don't contain the same
> >> items as in the context menus of a File Manager.  For example,
> >> clicking the right mouse button on a ScreamTracker .stm file
> >> opens a menu with Rhythmbox, and clicking on a ScreamTracker3
> >> .s3m file opens a menu where the first item is Celluloid
> >> and the second is Rhythmbox.
> >>
> >> So I implemented support for xdg commands that now displays exactly
> >> the same menus in Emacs as in the File Manager, and with the same order.
> >
> > Agreed, it's better to use the xdg commands for this.
> 
> Will this work (or at least not break) on mac or windows or
> other non-xgd systems?

The MS-Windows port already has a function that's the equivalent of
xdg-open: w32-shell-execute.  Patches to add this to the menu
discussed here are welcome.